/*
 * Header file for MacRoute.
 *	Written by Jay Schulist <Jay.Schulist@spacs.k12.wi.us>
 *	Copyright (C) 1997 Jay Schulist
 */

#define ETH_DEV		"eth0"
#define IPDDP_DEV	"ipddp0"

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/param.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <stdio.h>
#include <strings.h>
#include <stdlib.h>
#include <linux/in.h>
#include <linux/inet.h>
#include <linux/fcntl.h>
#include <linux/if.h>
#include <linux/if_ether.h>
#include <arpa/inet.h>
#include <linux/atalk.h>
#include <atalk/atp.h>
#include <atalk/nbp.h>

struct ipddp_route
{
        struct device *dev;             /* Carrier device */
        __u32 ip;                       /* IP address */
        struct at_addr at;              /* Gateway appletalk address */
        int flags;
        struct ipddp_route *next;
};

#define SIOCADDIPDDPRT   (SIOCDEVPRIVATE)
#define SIOCDELIPDDPRT   (SIOCDEVPRIVATE+1)
#define SIOCFINDIPDDPRT  (SIOCDEVPRIVATE+2)
#define SIOCPRINTIPDDPRT (SIOCDEVPRIVATE+3)
